Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws
Interface JPMLoadEntitiesCommand

All Known Implementing Classes:
  JDBCLoadEntitiesCommand

public interface JPMLoadEntitiesCommand

Interface for JAWSPersistenceManager LoadEntities - pre load data for a batch of entities. 'LoadEntities' is a bit of a misnomer - it should actually preload the data into a the FinderResults so that the LoadEntity command can later get it. This somewhat circuitous route is needed so that we don't violate the container contract by loading data before ejbActivate is called.

Version:
  $Revision: 1.2 $
Author:
  danch (Dan Christopherson)

Method Summary
`void` | `execute(FinderResults keys)`

Method Detail

### execute

    public void execute(FinderResults keys)
                 throws java.rmi.RemoteException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.